name: Tests

on:
  push:
    branches: [main]
  pull_request:
    branches: [main]

jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: https://github.com/actions/checkout@v5

      - name: Set up Go
        uses: https://github.com/actions/setup-go@v5
        with:
          go-version-file: go.mod

      - name: Clean vendor
        run: rm -rf vendor

      - name: Test
        run: go test -race -v ./...
